import { TokenService } from "@smallstack/common";
import { BehaviorSubject } from "rxjs";
export declare class WebTokenService implements TokenService {
    tokenChange: BehaviorSubject<boolean>;
    private tokenIsValid;
    private localStoragePropertyName;
    constructor();
    setLoginToken(token: string): void;
    getLoginToken(): string | undefined;
    invalidateTokenLocally(): void;
    setTokenValidity(valid: boolean): void;
    isTokenValid(): boolean;
}
